# GRFTempEngineData Struct Reference

## Data Fields
uint16 | cargo_allowed
uint16 | cargo_disallowed
RailTypeLabel | railtypelabel
bool | refitmask_valid
| Did the newgrf set any refittability property? If not, default refittability will be applied.
uint8 | rv_max_speed
| Temporary storage of RV prop 15, maximum speed in mph/0.8.

## Detailed Description

Definition at line 187 of file newgrf.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf.cpp